/*
Template: SocialV - Responsive Bootstrap 4 Admin Dashboard Template
Author: iqonicthemes.in
Design and Developed by: iqonicthemes.in
NOTE: This file contains the styling for responsive Template.
*/

/*================================================
[  Table of contents  ]
================================================

:: Font
:: Import Css
:: General
:: Input
:: Loading
:: Background Color
:: Background Color Opacity
:: Text Color
:: Line Height
:: Font Size
:: Avatar Size
:: Margin Bottom
:: Card
:: Background overlay color
:: Buttons
:: Alert
:: list Group
:: Border
:: Grid Boxes

======================================
[ End table content ]
======================================*/


/*---------------------------------------------------------------------
import Css
-----------------------------------------------------------------------*/
@import url("variable.css");
@import url("owl.carousel.min.css");
@import url("dripicons.css");
@import url("remixicon.css");
@import url("fontawesome.css");
@import url("line-awesome.min.css");
@import url("ionicons.min.css");
@import url("slick.css");
@import url("slick-theme.css");
@import url("Chart.min.css");
@import url("select2.min.css");
@import url("magnific-popup.css");
@import url("animate.css");

/*---------------------------------------------------------------------
Font
-----------------------------------------------------------------------*/
@import url('https://fonts.googleapis.com/css?family=Poppins:300,400,500,700,800,900&display=swap');
@import url('https://fonts.googleapis.com/css?family=Montserrat:300,400,500,600,700,800,900&display=swap');

/*---------------------------------------------------------------------
General
-----------------------------------------------------------------------*/
*::-moz-selection { background: var(--iq-primary); color: var(--iq-white); text-shadow: none; }
::-moz-selection { background: var(--iq-primary); color: var(--iq-white); text-shadow: none; }
::selection { background: var(--iq-primary); color: var(--iq-white); text-shadow: none; }

.rounded-circle{border-radius: 50% !important;}


/*----------------------------------------------
loading
------------------------------------------------*/
#loading { background-color: var(--iq-white); height: 100%; width: 100%;  position: fixed; margin-top: 0px; top: 0px; left: 0px; bottom: 0px; overflow: hidden !important; right: 0px; z-index: 999999;}
#loading-center {background: url(../images/loader.png) no-repeat scroll center center;background-size: 10%; width: 100%; height: 100%; position: relative; }
.loader { width: 3em; height: 3em; margin: auto; left: 0; right: 0; top: 0; bottom: 0; position: absolute; }
.rounded {border-radius: 5px!important;}

/* right sidebar */
.iq-right-fixed {margin: 0 15px;}
.right-sidebar-mini { top: 75px; z-index: 100; position: fixed; width: 260px; right: 0; transform: translateX(calc(111% + -2em)); transition: all 0.5s ease; }
.right-sidebar-mini .side-left-icon { display: none; }
.right-sidebar-toggle { position: absolute; margin-left: -44px; background: var(--iq-white); padding: 15px; display: inline; top: 0; z-index: 99; border-radius: 30px 0px 0px 30px; box-shadow: -10px 5px 20px rgba(0, 0, 0, 0.19); cursor: pointer; }
.right-sidebar-panel { background-color: var(--iq-white); box-shadow: 0px 0px 25px 0px rgba(45, 69, 95, 0.1); height: 100vh; padding: 15px;}
.right-sidebar-panel .media-height {max-height: 98vh; overflow-y: scroll;}
.right-sidebar { transform: translateX(calc(10% + -1em)); }
.right-sidebar .side-right-icon { display: none; }
.right-sidebar .side-left-icon { display: block; }
.right-sidebar-toggle span{display: none !important;}  


/*----------------------------------------------
Background Color Opacity
------------------------------------------------*/
.iq-bg-primary {background: var(--iq-light-primary) !important; color: var(--iq-primary) !important;}
.iq-bg-secondary { background: var(--iq-light-secondary) !important; color: var(--iq-secondary) !important; }
.iq-bg-success { background: var(--iq-light-success) !important; color: var(--iq-success) !important; }
.iq-bg-danger { background: var(--iq-light-danger) !important; color: var(--iq-danger) !important; }
.iq-bg-warning { background: var(--iq-light-warning) !important; color: var(--iq-warning) !important; }
.iq-bg-info { background: var(--iq-light-info) !important; color: var(--iq-info-dark) !important; }
.iq-bg-dark { background: var(--iq-light-dark) !important; color: var(--iq-dark) !important; }

/*--------------*/
.iq-bg-primary-hover:hover { background: var(--iq-light-primary) !important; color: var(--iq-primary); }
.iq-bg-secondary-hover:hover { background: var(--iq-light-secondary) !important; }
.iq-bg-success-hover:hover { background: var(--iq-light-success) !important; }
.iq-bg-danger-hover:hover { background: var(--iq-light-danger) !important; }
.iq-bg-warning-hover:hover { background: var(--iq-light-warning) !important; }
.iq-bg-info-hover:hover { background: var(--iq-light-info) !important; }
.iq-bg-dark-hover:hover { background: var(--iq-light-dark) !important; }


Avatar Size
------------------------------------------------*/
.avatar-35 { height: 35px; width: 35px; line-height: 35px; font-size: 0.5rem; }
.avatar-30 { height: 30px; width: 30px; line-height: 30px; font-size: 0.4rem; }
.avatar-40 { height: 40px; width: 40px; line-height: 40px; font-size: 0.6rem; }
.avatar-45 { height: 45px; width: 45px; line-height: 45px; font-size: 0.8rem; }
.avatar-50 { height: 50px; width: 50px; line-height: 50px; font-size: 1rem; }
.avatar-60 { height: 60px; width: 60px; line-height: 60px; font-size: 1.2rem; }
.avatar-70 { height: 70px; width: 70px; line-height: 70px; font-size: 1.4rem; }
.avatar-80 { height: 80px; width: 80px; line-height: 80px; font-size: 1.6rem; }
.avatar-90 { height: 90px; width: 90px; line-height: 90px; font-size: 1.6rem; }
.avatar-100 { height: 100px; width: 100px; line-height: 100px; font-size: 1.6rem; }
.avatar-110 { height: 110px; width: 110px; line-height: 110px; font-size: 1.6rem; }
.avatar-120 { height: 120px; width: 120px; line-height: 120px; font-size: 1.6rem; }
.avatar-130 { height: 130px; width: 130px; line-height: 130px; font-size: 1.6rem; }

/*----------------------------------------------
Margin Bottom
------------------------------------------------*/
.iq-mb-3 { margin-bottom: 30px !important; }

/*----------------------------------------------
Card
------------------------------------------------*/
.iq-card { background: var(--iq-white); -webkit-border-radius: 15px; -moz-border-radius: 5px; border-radius: 5px; margin-bottom: 15px; border: none; -webkit-box-shadow: 0px 0px 20px 0px rgba(44, 101, 144, 0.1); box-shadow: 0px 0px 20px 0px rgba(44, 101, 144, 0.1); }
.iq-card-transparent { background: transparent;  -webkit-border-radius: 15px; -moz-border-radius: 5px; border-radius: 5px; margin-bottom: 15px; }
.iq-card-body { padding: 15px; }
.iq-card .iq-card-header { padding: 0 20px; min-height: 60px; -ms-flex-align: center !important; align-items: center !important; border-bottom: 1px solid var(--iq-border-light); }
.iq-card .iq-card-header .iq-header-title { display: inline-block; align-self: center !important; }
.iq-card .iq-card-header .iq-header-title .card-title { margin-bottom: 0; }
.iq-card-header-toolbar .nav-item a { color: var(--iq-body-text); padding: 4px 12px; font-size: 14px;  }
.iq-card-header-toolbar .dropdown-toggle i { font-size: 22px; line-height: normal; color: var(--iq-body-text); }
.iq-card-header-toolbar .dropdown-toggle::after { display: none; }

/*--------------*/
.nav-pills .nav-item a { color: var(--iq-body-text); }
.nav-pills .nav-link.active, .nav-pills .show>.nav-link { color: var(--iq-primary); background: #dcdcdc; }
.nav-pills .nav-link:hover { color: var(--iq-primary); }

/*--------------*/
.nav-tabs { border-bottom: 2px solid var(--iq-light-primary); margin-bottom: 15px; }
.nav-tabs .nav-item { margin-bottom: -2px; }
.nav-tabs .nav-item a { color: var(--iq-body-text);  border: none; border-bottom: 2px solid transparent; }
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active { border-bottom: 2px solid var(--iq-primary); color: var(--iq-primary); }

/*---------------------------------------------------------------------
Background overlay color
-----------------------------------------------------------------------*/
.parallax { background-size: cover !important; -webkit-background-size: cover !important; -moz-background-size: cover !important; -ms-background-size: cover !important; position: relative; z-index: 0; background-origin: initial; background-position: center center !important; background-repeat: no-repeat; background-attachment: fixed !important; }

/* Background Gradient BLACK */
.bg-over-black-10:before { background: rgba(5, 8, 9, 0.1); content: ""; height: 100%; left: 0; position: absolute; top: 0; width: 100%; z-index: 0; }
.bg-over-black-20:before { background: rgba(5, 8, 9, 0.2); content: ""; height: 100%; left: 0; position: absolute; top: 0; width: 100%; z-index: 0; }
.bg-over-black-30:before { background: rgba(5, 8, 9, 0.3); content: ""; height: 100%; left: 0; position: absolute; top: 0; width: 100%; z-index: 0; }
.bg-over-black-40:before { background: rgba(5, 8, 9, 0.4); content: ""; height: 100%; left: 0; position: absolute; top: 0; width: 100%; z-index: 0; }
.bg-over-black-50:before { background: rgba(5, 8, 9, 0.5); content: ""; height: 100%; left: 0; position: absolute; top: 0; width: 100%; z-index: 0; }
.bg-over-black-60:before { background: rgba(5, 8, 9, 0.6); content: ""; height: 100%; left: 0; position: absolute; top: 0; width: 100%; z-index: 0; }
.bg-over-black-70:before { background: rgba(5, 8, 9, 0.7); content: ""; height: 100%; left: 0; position: absolute; top: 0; width: 100%; z-index: 0; }
.bg-over-black-80:before { background: rgba(5, 8, 9, 0.8); content: ""; height: 100%; left: 0; position: absolute; top: 0; width: 100%; z-index: 0; }
.bg-over-black-85:before { background: rgba(5, 8, 9, 0.85); content: ""; height: 100%; left: 0; position: absolute; top: 0; width: 100%; z-index: 0; }
.bg-over-black-90:before { background: rgba(5, 8, 9, 0.9); content: ""; height: 100%; left: 0; position: absolute; top: 0; width: 100%; z-index: 0; }

/*----------------------------------------------
Buttons
------------------------------------------------*/

.btn i { margin-right: 5px; }
.iq-sign-btn { display: inline-block; text-align: center; border: 1px solid transparent; padding: .375rem 1rem; border-radius: 5px; line-height: normal; }
.iq-sign-btn:hover { color: var(--iq-white) !important; background: var(--iq-danger) !important; }



/*--------------*/
.btn-primary:hover { background: var(--iq-primary-hover); border-color: var(--iq-primary-hover); }
a.bg-primary:focus, a.bg-primary:hover, button.bg-primary:focus, button.bg-primary:hover { background: var(--iq-primary-hover) !important; border-color: var(--iq-primary-hover); }

